

	; declare external main

	.globl _main



	.area	.text

	sts __initstk	; save stack to allow cleanup if abort called

	;clear uninitialised data

	clra
	ldx #s_.bss
$1:	sta ,x+
	cmpx #s_.freemem
	blo $1

	jsr	_main
	tfr x,d
	stb 0xe070	; store return code in diag reg

	swi		; go to debugger


;; Define order of segments

	.area .ctors
	.word 0


	.area .dtors
	.word 0


;; Initialised data

	.area .data

__initstk::
	.blkb 2


;; Uninitialised data

	.area .bss

;; Start of free memory

	.area .freemem

__free_mem_start::


